#include <bits/stdc++.h>
using namespace std;
string ss, st[200];
int Resi(int n, int k, int* l, char** a, char* s){
    if(n==2){
        int x=0, y=1;
        if(l[1]>l[0]){x=1;y=0;}
        for(int i=0; i<l[y]; ++i) ss[i]=a[y][i];
        for(int i=0;i<l[x]-l[y]+1;++i)
            for(int j=0; j<l[y]; ++j)st[i][j]=a[x][j+i];
        for(int i=0; i<l[x]-l[y]+1;++i)
            if(ss==st[i])return -1;
        bool pf=true;
        int d=-1;
        for(int i=0; i<l[y]; ++i){
            if(st[0][i]==ss[l[y]-1-i]){
                d=i;
                pf=true;
            }
            else if(st[l[x]-l[y]][l[y]-i-1]==ss[i]){
                d=i;
                pf=false;
            }
            else break;
        }
        if(pf){
            for(int i=0; i<l[y]-1-d;++i) s[i]=ss[i];
            for(int i=0; i<l[x]; ++i) s[i+l[y]-1-d]=a[x][i];

        }
        else{
            for(int i=0; i<l[x]; ++i) s[i]=a[x][i];
            for(int i=d+1; i<l[y]; ++i) s[i+l[x]-d]=ss[i];
            return l[x]+l[y]-d-1;
        }
    }
    return -1;
}